QT += core gui widgets
TARGET = tp
TEMPLATE = app
DEFINES += QT_DEPRECATED_WARNINGS
CONFIG += qt debug c++17
INCLUDEPATH += $$PWD/libs/OpenMesh/include/
DEFINES += OM_STATIC_BUILD

unix:!macx {
    LIBS += -L$$PWD/libs/OpenMesh/liblinux/ -lOpenMeshCore
}
macx {
    LIBS += -L$$PWD/libs/OpenMesh/libosx/ -lOpenMeshCore
}
win32 {
    LIBS += $$PWD/libs/OpenMesh/libwin/OpenMeshCore.lib
}

RESOURCES = resources.qrc

HEADERS += src/my_mesh.h
HEADERS += src/main_window.h
HEADERS += src/mesh_viewer.h
HEADERS += src/mesh_view.h
HEADERS += src/mesh_processor.h
HEADERS += src/util.h

SOURCES += src/main.cpp
SOURCES += src/main_window.cpp
SOURCES += src/mesh_viewer.cpp
SOURCES += src/mesh_view.cpp
SOURCES += src/mesh_processor.cpp
